
/* Main Body */
body {
  margin: 40px auto;      /* undestand this shit */
  max-width: 850px;
  width: 90%;
  line-height: 1.6;
  font-size: 22px;
  text-align: justify;
  margin: auto;
  color: #444;
  padding: 0 10px;
}


/* Headings */
h1 {
  font-size: 3rem;
  text-align: center;
}

h2 {
  font-size: 2rem;
  text-align: center;
}

h3 {
  font-size: 1.8rem;
  text-align: center;
}



/* Navigation Bar */
.navbar {
  text-align: center;
  margin: 20px 0;             /*2do*/
}

.navbar a {
  margin: 0 10px;             /*2do*/
  text-decoration: none;      /*2do*/
}


/* Text */

.justify-text{
  text-align: justify; 
}


/* Tables */
table {
    margin: 0 auto;
    width: 80%; /* Adjust as needed for centering */
    border-collapse: collapse;
}

th, td {
  padding: 8px;
  text-align: left;
}


/* Pictures */

figure{
  margin: 0 auto;
  text-align: center; /* centers caption text */
}

figcaption{
  text-align: center;
  font-size: 17px;
}



/* Footer */
footer{
  text-align: center;
}


/* Code */
pre {
  background: #f6f8fa;
  padding: 1em;
  overflow-x: auto;
  border-radius: 6px;
}

code {
  font-family: ui-monospace, SFMono-Regular, Consolas, monospace;
  font-size: 0.75em;
}

